Skip to main content
POST
Batch read

Supported products

Query Parameters

installPortalId
integer<int32>

An integer representing the ID of the portal installation to filter the webhook journal entries.

Body

application/json
inputs
string[]
required

An array of strings that are to be processed in the batch operation. This property is required.

Response

successful operation

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of results from the batch operation, each represented by a JournalFetchResponse object.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A map of link names to associated URIs, providing additional resources or information related to the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on September 9, 2026